%perl_module Unicode-UTF8simple 1.06 4

Summary: Conversions to/from UTF8 from/to charactersets
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/G/GU/GUS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Provides UTF-8 conversion for perl versions from 5.00 and up. It was
mainly written for use with perl 5.00 to 5.6.0 because those perl
versions do not support Unicode::MapUTF8 or Encode.

Unicode::UTF8simple is written in plain perl (no C code) and will work
with any Perl 5 version. It is just slightly slower than Encode.


%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README *.txt
%{perl_vendorlib}/Unicode/UTF8simple.pm
%{perl_man3dir}/Unicode::UTF8simple.3*

%changelog
* Sat Oct 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixed sitelib vs vendorlib issue.

* Sun Dec 25 2005 22:00:07 Ed Avis <ed@membled.com>
- Generated with makerpm 0.409, then fixed for License: and noarch.
